com.abbyy.mobile.rtr

## Enum IImagingCoreAPI.ExportOperation.Compression

- java.lang.Object
- - java.lang.Enum<IImagingCoreAPI.ExportOperation.Compression>
  - - com.abbyy.mobile.rtr.IImagingCoreAPI.ExportOperation.Compression

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IImagingCoreAPI.ExportOperation.Compression>
  Enclosing interface:
    IImagingCoreAPI.ExportOperation

      public static enum IImagingCoreAPI.ExportOperation.Compression
      extends java.lang.Enum<IImagingCoreAPI.ExportOperation.Compression>

  Uniform image compression scale for all lossy formats

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ExtraHigh` The maximum recommended compression rate.
    `High` More compression, less safety margin.
    `Low` The lowest compression rate that still might have any noticeable effect on recognition of small text
    `Normal` [Default] Balanced trade-off between compression and quality.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IImagingCoreAPI.ExportOperation.Compression` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IImagingCoreAPI.ExportOperation.Compression[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Low

          public static final IImagingCoreAPI.ExportOperation.Compression Low

      The lowest compression rate that still might have any noticeable effect on recognition of small text

    - #### Normal

          public static final IImagingCoreAPI.ExportOperation.Compression Normal

      [Default] Balanced trade-off between compression and quality. Good safety margin

    - #### High

          public static final IImagingCoreAPI.ExportOperation.Compression High

      More compression, less safety margin. Might perform poorly with small text, but generally still ok

    - #### ExtraHigh

          public static final IImagingCoreAPI.ExportOperation.Compression ExtraHigh

      The maximum recommended compression rate. Will perform poorly with small text. Advisable only for relatively large text and very slow networks

  - ### Method Detail

    - #### values

          public static IImagingCoreAPI.ExportOperation.Compression[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IImagingCoreAPI.ExportOperation.Compression c : IImagingCoreAPI.ExportOperation.Compression.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IImagingCoreAPI.ExportOperation.Compression valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null